javax.jms

## Class InvalidSelectorRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.jms.JMSRuntimeException
        - - javax.jms.InvalidSelectorRuntimeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MQInvalidSelectorRuntimeException

      public class InvalidSelectorRuntimeException
      extends JMSRuntimeException

  This unchecked exception must be thrown when a JMS client attempts to give a provider a message selector with invalid syntax, and the method signature does not permit a `InvalidSelectorException` to be thrown.
  Since:
    JMS 2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidSelectorRuntimeException(String detailMessage)` Constructs a `InvalidSelectorRuntimeException` with the specified detail message
    `InvalidSelectorRuntimeException(String detailMessage, String errorCode)` Constructs a `InvalidSelectorRuntimeException` with the specified detail message and error code.
    `InvalidSelectorRuntimeException(String detailMessage, String errorCode, Throwable cause)` Constructs a `InvalidSelectorRuntimeException` with the specified detail message, error code and cause

  - ### Method Summary

    - ### Methods inherited from class javax.jms.JMSRuntimeException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidSelectorRuntimeException

          public InvalidSelectorRuntimeException(String detailMessage)

      Constructs a `InvalidSelectorRuntimeException` with the specified detail message
      Parameters:
        `detailMessage` - a description of the exception

    - #### InvalidSelectorRuntimeException

          public InvalidSelectorRuntimeException(String detailMessage,
                                         String errorCode)

      Constructs a `InvalidSelectorRuntimeException` with the specified detail message and error code.
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code

    - #### InvalidSelectorRuntimeException

          public InvalidSelectorRuntimeException(String detailMessage,
                                         String errorCode,
                                         Throwable cause)

      Constructs a `InvalidSelectorRuntimeException` with the specified detail message, error code and cause
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code
        `cause` - the underlying cause of this exception

Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.